	<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100096";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			/////Vigencia de Documento
			$VigenciaFecha = strtotime ( '+2 day' , strtotime ( $Fecha ) ) ;
			$VigenciaFecha = date ( 'Y/m/d' , $VigenciaFecha );
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				$TIP = $_POST['TIPO'] OR $TIP = $_GET['TIPO'];

					

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<!--script language='javascript' src="popcalendar.js"></script!-->
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">
<?PHP
include ("MenuEstructura.php");
?>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

		////ARRASTRANDO LOS VALORES///////
		
		//////VALIDAR DATOS ////////////

$back="TIPO=$TIP";
		
		if($_POST['PASILLO']!=null){
		$sqlCR1 = mysql_query("SELECT * FROM  tabla_pickingfijo WHERE PASILLO='$_POST[PASILLO]' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
			if (mysql_numrows($sqlCR1)==0){
			echo "<script>alert('El pasillo $_POST[PASILLO] no esta registrado en el catálogo de pasillo picking fijo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&$back'>";
		exit();
		}}
		if($_POST['LADO']!=null){
			$sqlCR1 = mysql_query("SELECT * FROM  tabla_pickingfijo WHERE PASILLO='$_POST[PASILLO]' AND LADO='$_POST[LADO]' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
			if (mysql_numrows($sqlCR1)==0){
			echo "<script>alert('El lado $_POST[LADO] del pasillo $_POST[PASILLO] no esta registrado en el catálogo de pasillo picking fijo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&$back'>";
		exit();
		}}
		if($_POST['PASILLO1']!=null or $_POST['PASILLO2']!=null){
			if($_POST['PASILLO1']==null or $_POST['PASILLO2']==null or $_POST['PASILLO1']=="" or $_POST['PASILLO2']==""){
			echo "<script>alert('Parámettro de pasillo inválido.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&$back'>";
			exit();
				}
			if($_POST['PASILLO1']==$_POST['PASILLO2']){
			echo "<script>alert('Los pasillos de un rango deben ser diferentes.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&$back'>";
			exit();
				}
			for($x=1;$x<3;$x++){
			$st = "PASILLO".$x;
			$sqlCR1 = mysql_query("SELECT * FROM  tabla_pickingfijo WHERE PASILLO='".$_POST[$st]."' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
			if (mysql_numrows($sqlCR1)==0){
			echo "<script>alert('El pasillo ".$_POST[$st]." no esta registrado en el catálogo de pasillo picking fijo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&$back'>";
		exit();
		}}}
		
		//consultar base de datos
		$res=false;
		$q="";
		switch($TIP){
			case 1: //pasillo completo
			$q = "SELECT tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU, tabla_pickingfijo.MINIMO, tabla_pickingfijo.MAXIMO, tabla_pickingfijo.PRIORIDAD, tabla_pickingfijo.PICKEO_MAXIMO, tabla_pickingfijo.DISPONIBILIDAD, SUM( tabla_inventario.CANTIDAD ) AS CANTIDAD,tabla_inventario.id as INVID, tabla_altaproducto.PZASXCAJA FROM tabla_pickingfijo LEFT JOIN tabla_inventario ON tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_pickingfijo.SKU AND tabla_altaproducto.CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA WHERE CANTIDAD <= tabla_pickingfijo.MINIMO AND tabla_pickingfijo.PASILLO = '$_POST[PASILLO]' AND tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' GROUP BY tabla_pickingfijo.SKU ORDER BY  tabla_pickingfijo.PRIORIDAD ASC";
		$sqlCR1 = mysql_query($q);
			if (mysql_numrows($sqlCR1)==0){echo "<script>alert('No hay tareas de resurtido picking para el pasillo ".$_POST[$st].".');</script>";}
			else{
				$res=true;
				}
			break;
			case 2: //pasillo parcial
			$q = "SELECT tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU, tabla_pickingfijo.MINIMO, tabla_pickingfijo.MAXIMO, tabla_pickingfijo.PRIORIDAD, tabla_pickingfijo.PICKEO_MAXIMO, tabla_pickingfijo.DISPONIBILIDAD, SUM( tabla_inventario.CANTIDAD ) AS CANTIDAD,tabla_inventario.id as INVID, tabla_altaproducto.PZASXCAJA FROM tabla_pickingfijo LEFT JOIN tabla_inventario ON tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_pickingfijo.SKU AND tabla_altaproducto.CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA WHERE CANTIDAD <= tabla_pickingfijo.MINIMO AND tabla_pickingfijo.PASILLO = '$_POST[PASILLO]' AND tabla_pickingfijo.LADO = '$_POST[LADO]' AND tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' GROUP BY tabla_pickingfijo.SKU ORDER BY  tabla_pickingfijo.PRIORIDAD ASC";
			$sqlCR1 = mysql_query($q);
			if (mysql_numrows($sqlCR1)==0){echo "<script>alert('No hay tareas de resurtido picking para el pasillo $_POST[PASILLO], lado $_POST[LADO].');</script>";}
			else{
				$res=true;
				}
			break;
			case 3:  //rango de pasillos
			if($_POST['PASILLO1']>$_POST['PASILLO2']){$ps1=$_POST['PASILLO2'];$ps2=$_POST['PASILLO1'];}else{$ps1=$_POST['PASILLO1'];$ps2=$_POST['PASILLO2'];}
			$q = "SELECT tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU, tabla_pickingfijo.MINIMO, tabla_pickingfijo.MAXIMO, tabla_pickingfijo.PRIORIDAD, tabla_pickingfijo.PICKEO_MAXIMO, tabla_pickingfijo.DISPONIBILIDAD, SUM( tabla_inventario.CANTIDAD ) AS CANTIDAD,tabla_inventario.id as INVID, tabla_altaproducto.PZASXCAJA FROM tabla_pickingfijo LEFT JOIN tabla_inventario ON tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_pickingfijo.SKU AND tabla_altaproducto.CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA WHERE CANTIDAD <= tabla_pickingfijo.MINIMO AND CONVERT(tabla_pickingfijo.PASILLO, UNSIGNED INTEGER)>= '$ps1' AND CONVERT(tabla_pickingfijo.PASILLO, UNSIGNED INTEGER) <='$ps2' AND tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' GROUP BY tabla_pickingfijo.SKU ORDER BY  tabla_pickingfijo.PRIORIDAD ASC";
			$sqlCR1 = mysql_query($q);
			if (mysql_numrows($sqlCR1)==0){echo "<script>alert('No hay tareas de resurtido picking para el rango de pasillos $ps1 - $ps2.');</script>";}
			else{
				$res=true;
				}
			break;
			case 4: //almacen
			$q = "SELECT * FROM (SELECT tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU, tabla_pickingfijo.MINIMO, tabla_pickingfijo.MAXIMO, tabla_pickingfijo.PRIORIDAD, tabla_pickingfijo.PICKEO_MAXIMO, tabla_pickingfijo.DISPONIBILIDAD, SUM( tabla_inventario.CANTIDAD ) AS CANTIDAD,tabla_inventario.id as INVID, tabla_altaproducto.PZASXCAJA FROM tabla_pickingfijo LEFT JOIN tabla_inventario ON tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_pickingfijo.SKU AND tabla_altaproducto.CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA WHERE  tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' GROUP BY tabla_pickingfijo.SKU ORDER BY  tabla_pickingfijo.PRIORIDAD ASC) DS WHERE DS.CANTIDAD<=DS.MINIMO";
			$sqlCR1 = mysql_query($q);
			if (mysql_numrows($sqlCR1)==0){echo "<script>alert('No hay tareas de resurtido picking en el almacén.');</script>";}
			else{
				$res=true;
				}
			break;
			case 5: //ola
			$q = "SELECT * FROM (SELECT tabla_pickingfijo.CLAVEUBICACION, tabla_pickingfijo.SKU, tabla_pickingfijo.MINIMO, tabla_pickingfijo.MAXIMO, tabla_pickingfijo.PRIORIDAD, tabla_pickingfijo.PICKEO_MAXIMO, tabla_pickingfijo.DISPONIBILIDAD, SUM( tabla_inventario.CANTIDAD ) AS CANTIDAD,tabla_inventario.id as INVID, tabla_altaproducto.PZASXCAJA FROM tabla_pickingfijo LEFT JOIN tabla_inventario ON tabla_inventario.SKU = tabla_pickingfijo.SKU AND tabla_inventario.CVE_CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_inventario.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA AND tabla_inventario.UBICACION = tabla_pickingfijo.CLAVEUBICACION INNER JOIN tabla_altaproducto ON tabla_altaproducto.SKU = tabla_pickingfijo.SKU AND tabla_altaproducto.CUENTA = tabla_pickingfijo.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_pickingfijo.CVE_BODEGA WHERE  tabla_pickingfijo.CVE_CUENTA='$CveCueCR1' AND tabla_pickingfijo.CVE_BODEGA='$CveBodCR1' GROUP BY tabla_pickingfijo.SKU ORDER BY  tabla_pickingfijo.PRIORIDAD ASC) DS WHERE DS.CANTIDAD<=DS.MINIMO";
			$sqlCR1 = mysql_query($q);
			if (mysql_numrows($sqlCR1)==0){echo "<script>alert('No hay tareas de resurtido picking para los pedidos dados de alta.');</script>";}
			else{
				$res=true;
				}
			break;
			}			
			if($res){
			$tareas = array();
			$nt = 0;
			$sqlCR1 = mysql_query($q);
			while($pick = mysql_fetch_array($sqlCR1)){
			$cantp = floor(abs($pick['MAXIMO']-$pick['CANTIDAD']));
			if($pick['TIPO_RESURTIDO']='Caja'){
			$req=$pick['MAXIMO']-$pick['CANTIDAD'];
			if($req>$pick['PZASXCAJA']){
			error_reporting(5);
				if(($req%$pick['PZASXCAJA'])!=0){$cantp = (floor($req/$pick['PZASXCAJA']))*$pick['PZASXCAJA'];}else{$cantp = floor(abs($pick['MAXIMO']-$pick['CANTIDAD']));}
				}else{$cantp = floor(abs($pick['MAXIMO']-$pick['CANTIDAD']));}}
			else{$cantp = floor(abs($pick['MAXIMO']-$pick['CANTIDAD']));}
			$sm="SELECT tabla_inventario.* , tabla_altaproducto.PZASXCAJA,tabla_ubicaciones.TIPODEUBICACION AS TIPOUBIC FROM tabla_inventario INNER JOIN tabla_altaproducto ON tabla_altaproducto.CUENTA = tabla_inventario.CVE_CUENTA AND tabla_altaproducto.CVE_BODEGA = tabla_inventario.CVE_BODEGA AND tabla_altaproducto.SKU = tabla_inventario.SKU INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CUENTA = tabla_inventario.CVE_CUENTA AND tabla_ubicaciones.CVE_BODEGA = tabla_inventario.CVE_BODEGA AND tabla_ubicaciones.TIPODEUBICACION !=  'PICKING' WHERE tabla_inventario.UBICACION != '$pick[CLAVEUBICACION]' AND tabla_inventario.SKU =  '$pick[SKU]' AND tabla_inventario.CANTIDAD >0 AND tabla_inventario.EDO_CALIDAD =  'D' AND tabla_inventario.CVE_BODEGA =  '$CveBodCR1' AND tabla_inventario.CVE_CUENTA =  '$CveCueCR1' ORDER BY FIELD( TIPOUBIC,  'STOCK',  'STAYING' ) , CANTIDAD DESC";
			$sl= mysql_query($sm);
			$msg="";
			$carga=0;
			if(mysql_num_rows($sl)>0){
				while($stock=mysql_fetch_array($sl)){
				$toma=0;
				$ncajas=0;
				$disponibles = $stock['CANTIDAD'];
				if($disponibles>=($cantp-$carga)){
					$toma=floor(($cantp-$carga)/$stock['PZASXCAJA'])*$stock['PZASXCAJA'];
					$ncajas=floor($toma/$stock['PZASXCAJA']);
					$carga+=$toma;
					if($pick['TIPO_RESURTIDO']=='Pieza'){$ncajas=$ncajas*$stock['PZASXCAJA'];}
					if($toma>0){$tareas[$nt]=array('ID_REG'=>$stock['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stock['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>$pick['TIPO_RESURTIDO'].'s','CANTIDAD'=> $ncajas,'PZASXCAJA'=>$stock['PZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stock['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=> (strtok("-")),'CVE_UBICACION_ORIGEN'=> $stock['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stock['DESCRIPCION']);$nt++;}
					}else{
					$toma=floor(($disponibles)/$stock['PZASXCAJA'])*$stock['PZASXCAJA'];					
					$ncajas=floor($toma/$stock['PZASXCAJA']);					
					$carga+=$toma;
					if($pick['TIPO_RESURTIDO']=='Pieza'){$ncajas=$ncajas*$stock['PZASXCAJA'];}
					
					if($toma>0){$tareas[$nt]=array('ID_REG'=>$stock['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stock['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>$pick['TIPO_RESURTIDO'].'s','CANTIDAD'=> $ncajas,'PZASXCAJA'=>$stock['PZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stock['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=> (strtok("-")),'CVE_UBICACION_ORIGEN'=> $stock['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stock['DESCRIPCION']);$nt++;}
					}
			}		
			//Piezas Sueltas faltantes
			if($carga<$cantp){
			$pres=$cantp-$carga;
			$W="SELECT tabla_inventario.*,tabla_ubicaciones.TIPODEUBICACION AS TIPOUBIC FROM tabla_inventario INNER JOIN tabla_ubicaciones ON tabla_ubicaciones.CUENTA = tabla_inventario.CVE_CUENTA AND tabla_ubicaciones.CVE_BODEGA = tabla_inventario.CVE_BODEGA AND tabla_ubicaciones.CLAVEUBICACION = tabla_inventario.UBICACION where tabla_inventario.ID!='$pick[INVID]' AND tabla_inventario.SKU='$pick[SKU]' AND tabla_inventario.CANTIDAD>0 AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_ubicaciones.TIPODEUBICACION !='PICKING' AND (tabla_inventario.CANTIDAD % tabla_inventario.PIEZASXCAJA)>0 ORDER BY concat(FIELD(TIPOUBIC,'STOCK','STAYING'),CANTIDAD) DESC";
			
			
			$a= mysql_query($W);
			if($a and mysql_num_rows($a)>0){
				while($stp=mysql_fetch_array($a)){
				$tomap=0;
				$pzas = $stp['CANTIDAD'] - (floor($stp['CANTIDAD']/$stp['PZASXCAJA'])*$stp['PZASXCAJA']);
				if ($pzas>=$pres AND $pres>0){
					$tomap=$pres;
					$pres=0;
					$exist=false;			
					$X=0;
					
					foreach($tareas as $key => $product){
					if ($product['NO_PALLET'] === $stp['NO_PALLET']){
					if($tareas[$X]['REPOSICION']=='Cajas'){$tareas[$X]['CANTIDAD'] = ($tareas[$X]['CANTIDAD']*$tareas[$X]['PZASXCAJA'])+$tomap;$tareas[$X]['REPOSICION']="Piezas";}
					else{$tareas[$X]['CANTIDAD']= $tareas[$X]['CANTIDAD']+$tomap;}
					$exist=true;
					break;
					}
					$X++;
					}

					if(!$exist){$tareas[$nt]=array('ID_REG'=>$stp['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stp['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>'Piezas','CANTIDAD'=> $tomap,'PZASXCAJA'=>$stp['PZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stp['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=>(strtok("-")),'CVE_UBICACION_ORIGEN'=> $stp['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stp['DESCRIPCION']);$nt++;}
					}
				else{
				if($pres>0){
				$tomap=$pzas;
				$pres=$pres-$pzas;
					$exist=false;			
					$X=0;
					foreach($tareas as $key => $product){
					if ($product['NO_PALLET'] === $stp['NO_PALLET']){
					if($tareas[$X]['REPOSICION']=='Cajas'){$tareas[$X]['CANTIDAD']= ($tareas[$X]['CANTIDAD']*$tareas[$X]['PZASXCAJA'])+$tomap;$tareas[$X]['REPOSICION']="Piezas";}
					else{$tareas[$X]['CANTIDAD']= $tareas[$X]['CANTIDAD']+$tomap;}
					$exist=true;
					break;
					}
					$X++;
					}
					if(!$exist){$tareas[$nt]=array('ID_REG'=>$stp['ID'],'PRIORIDAD'=> $pick['PRIORIDAD'], 'SKU' => $pick['SKU'],'NO_PALLET'=>$stp['NO_PALLET'],'UB_DESTINO'=>$pick['CLAVEUBICACION'], 'REPOSICION'=>'Piezas','CANTIDAD'=> $tomap,'PZASXCAJA'=>$stp['PZASXCAJA'],'PASILLO_ORIGEN'=> (strtok($stp['UBICACION'],"-")),'LADO_ORIGEN'=> (strtok("-")),'POS_X_ORIGEN'=> (strtok("-")),'POS_Y_ORIGEN'=>(strtok("-")),'CVE_UBICACION_ORIGEN'=> $stp['UBICACION'],'PASILLO_DESTINO'=> $pick['PASILLO'],'LADO_DESTINO'=> $pick['LADO'],'POS_X_DESTINO'=> $pick['X'],'POS_Y_DESTINO'=> $pick['Y'],'CVE_UBICACION_DESTINO'=> $pick['CLAVEUBICACION'],'DESCRIPCION'=>$stp['DESCRIPCION']);$nt++;}
		}}}}}}}
				if($_POST['CONFIRM']!=null){
				/////////Identificar el prefijo configurado
				$sqlIDE1 = mysql_query("select * from wms_configura_tarearesurtido WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlIDE1)>0){
				$registroIDE1=mysql_fetch_array($sqlIDE1);
				}
				if (mysql_numrows($sqlIDE1)>0)
				{
				$PrefijoPal=$registroIDE1["PREFIJO"];
				}
				$actualiz = 0;
				$err = 0;
				$X=0;
				
				foreach($tareas as $key=>$ta){
					
				$enejecucion = mysql_query("select * from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND ESTADO='EN EJECUCION' AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				if (mysql_numrows($enejecucion)==0){
				
				$actualizar = mysql_query("SELECT ID from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND ESTADO='EN ESPERA' AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				
				if(mysql_num_rows($actualizar)>0){$actualiz+=1;}
				
				$enespera = mysql_query("delete from tabla_resurtidopicking where CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND PRIORIDAD='".$tareas[$X]['PRIORIDAD']."' AND ESTADO='EN ESPERA' AND CVE_UBICACION_ORIGEN='".$tareas[$X]['CVE_UBICACION_ORIGEN']."' AND CVE_UBICACION_DESTINO='".$tareas[$X]['CVE_UBICACION_DESTINO']."' AND SKU='".$tareas[$X]['SKU']."' AND NO_PALLET='".$tareas[$X]['NO_PALLET']."'");
				
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = date('Ymd'); // debuelve la fecha del pallet origina
					
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consedocrespick WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}

				/////Generador de Folio para guardar el consecutivo del Pallet
				$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consedocrespick"; 
				$libP2 = mysql_query($sqlIDP2); 
				$rs_libP2 = mysql_fetch_assoc($libP2); 
				$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
								
				/////Guardar en la BD el consecutivo del No. de Pallet
				$sqlGCP = "insert tabla_consedocrespick (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,FECHA) values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$ClavePallet','$FechaPallet')";
				$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());

				$w = "select max(ID) as LAST from tabla_resurtidopicking"; 
				$ss = mysql_query($w); 
				$hd = mysql_fetch_assoc($ss); 
				$maxid = $hd['LAST'] + 1;

				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				
				$mys = "INSERT INTO  tabla_resurtidopicking VALUES ('$maxid' ,'$CveBodCR1' ,'$CveCueCR1' ,'$ClavePallet' ,'".$tareas[$X]['PRIORIDAD']."' ,'EN ESPERA' , '".$tareas[$X]['PASILLO_ORIGEN']."' ,'".$tareas[$X]['LADO_ORIGEN']."' ,'".$tareas[$X]['POS_X_ORIGEN']."' ,'".$tareas[$X]['POS_Y_ORIGEN']."' , '".$tareas[$X]['CVE_UBICACION_ORIGEN']."' , '".$tareas[$X]['SKU']."' , '".$tareas[$X]['DESCRIPCION']."' , '".$tareas[$X]['REPOSICION']."' , '".$tareas[$X]['NO_PALLET']."' , '".$tareas[$X]['CANTIDAD']."' , '$UsuEn' ,'".date("Y/m/d")."' ,'$HoraOK' ,'".$tareas[$X]['PASILLO_DESTINO']."' ,'".$tareas[$X]['LADO_DESTINO']."' ,'".$tareas[$X]['POS_X_DESTINO']."' ,'".$tareas[$X]['POS_Y_DESTINO']."' ,'".$tareas[$X]['CVE_UBICACION_DESTINO']."' ,'' ,'' ,'' ,'0')";
				//ECHO $mys."<BR>";
				$libP2 = mysql_query($mys); 
				if(!$libP2){$err+=1;}
				}
				else{$err+=1;}
				$X++;}
				if($err>0){echo"<script>alert('Se han registrado ".($X-$err-$actualiz)." nuevas tareas de resurtido picking y se han actualizado $actualiz.\\n$err Tareas fueron excluidas por haber tareas similares en ejecución.')</script>";}
				else{echo"<script>alert('Se han registrado ".($X-$actualiz)." nuevas tareas de resurtido picking y se han actualizado $actualiz.')</script>";}
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?CTA=$CveCueCR1&BOD=$CveBodCR1&UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Checked=$ValChecked'>";
				exit();
				}else{
//-INTERFAZ-		
			?>
<div align="center">

    <form id="xd" name="xd" method="post" action="72-Resurtido2.php">
      <table width="890" border="0" style="border-collapse: collapse" bgcolor="<?PHP echo $FonTi_Form; ?>">
        <tr>
          <td height="30" colspan="5" align="left"><span class="Clase_TipoLetraTitulos">&nbsp;&nbsp;||  RESURTIDO PICKING <?php
			  
			  switch ($TIP ) {
		case 5:
        echo "- OLA DE SURTIDO";
        break;
		case 1:
        echo "- PASILLO COMPLETO";
        break;
		case 2:
        echo "- PASILLO PARCIAL";
        break;
		case 3:
        echo "- RANGO";
        break;
		case 4:
        echo "- ALMACEN";
        break;
			  }		  
			  ?> ||</span></td>
      </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonSe_Form; ?>"><span class="Estilo8">.</span></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>">.</td>
        </tr>
        <tr>
          <td width="106" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Bodega:</div></td>
        <td width="322" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><input name="txt_CveBodega" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveBodCR1; ?>" size="2"/><input name="txt_NomBodega" type="text" disabled="disabled" class="textoINPUT" id="txt_NomBodega" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $NomBodCR2; ?>" size="30" /><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" Value="..." name="..." onClick="javascript:otra_ventana('72-POPUP_PASILLOS.php?UsuKP=<?PHP echo $UsuEn; ?>&IdDAcce=<?PHP echo $IDSeEn; ?>&TokenKP=<?PHP echo $TokEn; ?>&CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>&LT=<?PHP echo $LtEn; ?>&CTA=<?PHP ECHO $CveCueCR1."&BOD=".$CveBodCR1;?>')";></div></td>
        <td width="15" bgcolor="<?PHP echo $FonCi_Form; ?>">&nbsp;</td>
        <td width="78" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left" class="Clase_TipoLetra">&nbsp;&nbsp;Cuenta:</div></td>
        <td bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="left"><input name="txt_CveCuen" type="text" disabled="disabled" required="required" class="textoINPUT" id="txt_CveCuen" style="background-color:<?PHP echo $CamDe_Form; ?>" onkeypress='return numerico (event)' value="<?PHP echo $CveCueCR1; ?>" size="2"/><input name="txt_NomCuenta" type="text" disabled="disabled" class="textoINPUT" id="txt_NomCuenta" style="background-color:<?PHP echo $CamDe_Form; ?>" value="<?PHP echo $CtaSesionEn; ?>" size="30" /><input type="button" disabled="disabled" style="WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;" value="..." name="...4" onclick="javascript:otra_ventana('5-RegistroUbicacionPOPUP_CUENTAS.php?UsuKP=<?PHP echo $UsuEn; ?>&amp;IdDAcce=<?PHP echo $IDSeEn; ?>&amp;TokenKP=<?PHP echo $TokEn; ?>&amp;CtaSKP=<?PHP echo $CtaSesionEn; ?>&amp;VPN=<?PHP echo $VpnEn; ?>&amp;LT=<?PHP echo $LtEn; ?>')"; />
        </div></td>
        </tr>
        <tr><td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"  style="color:<?PHP echo $FonCi_Form;?>;">.</td></tr>
		<tr>
		<td bgcolor="<?PHP echo $FonCi_Form; ?>"><span class="Clase_TipoLetra">&nbsp;&nbsp;Tipo de resurtido:</span></td>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><label>
            <input type="radio" name="TIPO" value="1" <?php if($TIP =="1" or $TIP ==null){echo "checked ";} if($TIP !=null){echo "disabled";}?>/> Pasillo completo
            <input type="radio" name="TIPO" value="2" <?php if($TIP =="2"){echo "checked ";} if($TIP !=null){echo "disabled";}?>/> Pasillo parcial
			<input type="radio" name="TIPO" value="3" <?php if($TIP =="3"){echo "checked ";} if($TIP !=null){echo "disabled";}?>/> Rango     
            <input type="radio" name="TIPO" value="4" <?php if($TIP =="4"){echo "checked ";} if($TIP !=null){echo "disabled";}?>/> Almacen
			<input type="radio" name="TIPO" value="5" <?php if($TIP =="5"){echo "checked ";} if($TIP !=null){echo "disabled";}?>/> Ola de surtido
            </label>
			</td>
		  </tr>
		  <?php if($TIP ==1){?>
		  <tr><td colspan='5' bgcolor='<?php echo $FonCi_Form;?>'  style='color:<?php echo $FonCi_Form;?>'>.</td></tr><tr bgcolor='<?php echo $FonCi_Form;?>'><td colspan='5' ><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Pasillo:<input name='PASILLO' size='5' autofocus required disabled value="<?php echo $_POST[PASILLO]; ?>"><input type='button' style='WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;' value='...' name='...'  disabled onClick="javascript:otra_ventana('<?php echo "72-POPUP_PASILLOS.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&CTA=$CveCueCR1&BOD=$CveBodCR1"?>')";></div></td></tr>
		  
		  <?php }if($TIP ==2){?>
		  <tr><td colspan='5' bgcolor='<?php echo $FonCi_Form;?>'  style='color:<?php echo $FonCi_Form;?>'>.</td></tr><tr bgcolor='<?php echo $FonCi_Form;?>'><td colspan='5' ><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Pasillo:<input name='PASILLO' size='5' autofocus required disabled value="<?php echo $_POST[PASILLO]; ?>><input type='button' style='WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;' value='...' name='...' disabled  onClick="javascript:otra_ventana('<?php echo "72-POPUP_PASILLOS.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&LADO=2&CTA=$CveCueCR1&BOD=$CveBodCR1"?>')";></div></td></tr>
		  <tr><td colspan='5' bgcolor='<?php echo $FonCi_Form;?>'  style='color:<?php echo $FonCi_Form;?>'>.</td></tr><tr bgcolor='<?php echo $FonCi_Form;?>'><td colspan='5' ><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Lado:<SELECT disabled name='LADO' value="<?php echo $_POST[LADO]; ?>><OPTION>1</OPTION><OPTION>2</OPTION></SELECT></div></td></tr>
		  
		  <?php }if($TIP ==3){?>
		  <tr><td colspan='5' bgcolor='<?php echo $FonCi_Form;?>'  style='color:<?php echo $FonCi_Form;?>'>.</td></tr><tr bgcolor='<?php echo $FonCi_Form;?>'><td colspan='5' ><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Pasillo inicial:<input name='PASILLO1' size='5' autofocus required disabled value="<?php echo $_POST[PASILLO1]; ?>><input disabled type='button' style='WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;' value='...' name='...'  onClick="javascript:otra_ventana('<?php echo "72-POPUP_PASILLOS.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&BOD=$CveBodCR1&CTA=$CveCueCR1&PASILLO=1"?>')";></div></td></tr>
		  <tr><td colspan='5' bgcolor='<?php echo $FonCi_Form;?>'  style='color:<?php echo $FonCi_Form;?>'>.</td></tr><tr bgcolor='<?php echo $FonCi_Form;?>'><td colspan='5' ><div align='left' class='Clase_TipoLetra'>&nbsp;&nbsp;Pasillo final:<input name='PASILLO2' size='5' autofocus required disabled value="<?php echo $_POST[PASILLO2]; ?>><input type='button' style='WIDTH: 27px; HEIGHT: 20px;text-align:center; font-weight: bold;' value='...' name='...' disabled onClick="javascript:otra_ventana('<?php echo "72-POPUP_PASILLOS.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&BOD=$CveBodCR1&CTA=$CveCueCR1&PASILLO=2"?>')";></div></td></tr>
		  
		  <?php }if($TIP !=null){echo "<input type='hidden' name='TIPO' value='$TIP'>";}?>
		  
		
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><input name="UsuKP" / type="text" id="UsuKP"  style='visibility:hidden' value="<?PHP echo $UsuEn; ?>" size="3" />
          <input name="TokenKP" / type="text" id="TokenKP"  style='visibility:hidden' value="<?PHP echo $TokEn; ?>" size="3" />
          <input name="IdDAcce" / type="text" id="IdDAcce"  style='visibility:hidden' value="<?PHP echo $IDSeEn; ?>" size="3" />
          <input name="CtaSKP" / type="text" id="CtaSKP"  style='visibility:hidden' value="<?PHP echo $CtaSesionEn; ?>" size="3" />
          <input name="VPN" / type="text" id="VPN"  style='visibility:hidden' value="<?PHP echo $VpnEn; ?>" size="3" />
          <input name="LT" / type="text" id="LT"  style='visibility:hidden' value="<?PHP echo $LtEn; ?>" size="3" /></td>
        </tr>
        <tr>
          <td colspan="5" bgcolor="<?PHP echo $FonSe_Form; ?>">.</td>
        </tr>
        <tr>
		<?php if($TIP !=null){echo "<input type='hidden' name='TIPO' value='$TIP'>";}
		if($TIP !=null){echo "<input type='hidden' name='PASILLO' value='$_POST[PASILLO]'>";}
		if($TIP !=null){echo "<input type='hidden' name='LADO' value='$_POST[LADO]'>";}
		if($TIP !=null){echo "<input type='hidden' name='PASILLO1' value='$_POST[PASILLO1]'>";}
		if($TIP !=null){echo "<input type='hidden' name='PASILLO2' value='$_POST[PASILLO2]'>";}?>
		<input type="hidden" name="CONFIRM" value="OK">
          <td colspan="5" bgcolor="<?PHP echo $FonCi_Form; ?>"><div align="center"><input type="submit" name="button" class="button" id="button" value="Confirmar" style="height:25px; width:80px"/>&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" class="button" style="height:25px; width:80px" value="Cancelar" onClick=" window.location.href='<?PHP if($TIP !=null){echo"72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";}else{echo"Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn";}?>' ">
          </div></td>
        </tr>
        <tr>
          <td height="20" colspan="5" bgcolor="<?PHP echo $FonTi_Form; ?>" align="right">.</td>
        </tr>
      </table>
  </form>
</div>
<Br><Br>
<div align="center">
  <?PHP
		//////Muestra Tareas
				
		echo("<table cellspacing='0' border='1' style='color:$CFTi_Tabl;background-color:$Fond_Tabl;border-style:None; bordercolor=:$Bord_Tabl; font-family:$FTit_Tabl;font-size:$TTit_Tabl;height:200 px;width:80%;border-collapse:collapse' rules='all'>");
		echo("<tr>");
	    echo("<td height='3' colspan='2' style='color:White;font-family:Verdana' align='left'>&nbsp;&nbsp;$X Tareas Generadas</td>");
		echo("<td height='3' colspan='20' style='color:White;font-family:Verdana' align='right'>");
	    echo("</tr>");
		echo("<tr>");
	    echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold' align='center'>Id</td>");
		echo("<td height='16' style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveBodega</td>");
   		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>CveCuenta</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Ubicaci&oacuten origen</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Ubicaci&oacuten destino</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Sku</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Descripci&oacuten</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Pallet</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Cantidad</td>");
		echo("<td style='color:$CEnc_Tabl;font-family:$FEnc_Tabl;font-weight:bold;' align='center'>Reposici&oacuten</td>");
	    echo("</tr>");
		$ConteoWH = "0";

		foreach($tareas as $key=>$ta)
		{
		$ConteoWH++;
		if($ConteoWH%2==0) 
				{
				$BgFondoFinal = $BgF1_Tabl; ///Color Primario
				} 
				else
				{
				$BgFondoFinal= $BgF2_Tabl; ///Color Secundario
				}
		echo("<tr style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>");
		echo("<td height='16' style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal'>$ConteoWH</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$CveBodCR1</td>");
	    echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$CveCueCR1 - $CtaSesionEn</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[CVE_UBICACION_ORIGEN]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[CVE_UBICACION_DESTINO]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[SKU]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[DESCRIPCION]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[NO_PALLET]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[CANTIDAD]</td>");
		echo("<td style='color:$CCue_Tabl;font-size:$TCue_Tabl ;font-family:$FCue_Tabl; background-color:$BgFondoFinal' align='center'>$ta[REPOSICION]</td>");
		echo("</tr>");
			}
		echo("<tr>");	
		echo("<td height='16' colspan='2' style='font-size:10px;font-family:Verdana'>Registros: $ConteoWH</td>");
	    echo("<td colspan='10' align='center'>");
		echo("</td>");
		echo("</tr>");
		echo("</table>");
		echo("</div>");
		?>
</div>
<Br><Br><Br><Br>
			<?PHP
			}
				}else{
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=72-Resurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				exit();
		}
		?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>